﻿@using System.Web.UI.WebControls;

<table border="0" cellpadding="2" cellspacing="2">
        <tr>
    <td style="width: 100px">
        @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Transaction Code";
                }).GetHtml()
    </td>
    <td>
        @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "TransactionCodex";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 133;
                        settings.Properties.MaxLength = 3;
                    }
                ).GetHtml()
    </td>
</tr>

        <tr>
    <td>
        @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "TransactionName";
                }).GetHtml()
    </td>
    <td>
         @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "TransactionNamex";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 133;
                        settings.Properties.MaxLength = 10;
                    }
                ).GetHtml()
    </td>
</tr>

</tr>

        <tr>
    <td>
        @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Sign";
                }).GetHtml()
    </td>
    <td>
         @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "Signex";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 133;
                    }
                ).GetHtml()
    </td>
</tr>

</tr>

        <tr>
    <td>
        @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Description";
                }).GetHtml()
    </td>
    <td>
         @Html.DevExpress().Memo(
                    settings =>
                    {
                        settings.Name = "Descriptionex";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 133;
                    }
                ).GetHtml()
    </td>
</tr>
</table>

<table cellpadding="0" cellspacing="0" width="243">
    @*<tr>
        <td align="left">
            
        </td>

        <td align="right">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSave";
                    button.Text = "Save";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    //button.ClientSideEvents.Click = "function(s,e) {  gridLogHeader.PerformCallback(); }";
                    button.ClientSideEvents.Click = "function(s,e) {  gridLogHeader.PerformCallback(); }";

                }
            ).GetHtml()
           
        </td>
    </tr>*@
    <tr>
        <td colspan="2" align="center">
            <table>
                <tr>
                    <td width=""50% align="right">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSave";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginCallbackAddNew";
                            //btnSettings.ClientSideEvents.Click = "function(s, e){ popupPosting.Show(); }";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNew";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            //btnSettings.ClientSideEvents.Click = "function(s, e){ popupNew.Hide(); }";
                            btnSettings.ClientSideEvents.Click = "CancelAddNew";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
